#include <iostream>
using namespace std;

#define ispisi cout << a1 << " " << b1 << endl << a2 << " " << b2 << endl << a3 << " " << b3 << endl; return 0

int main() {
	int N, A;
	
	cin >> N >> A;
	
	int a1, b1, a2, b2, a3, b3;
	
	if (N < 3 * A || (A == 2 && N % 2 == 1)) {
		cout << -1 << endl;
		return 0;
	}
	
	a1 = A;
	a2 = A;
	a3 = A;
	
	b1 = 0;
	b2 = 0;
	b3 = 0;
	
	int ostalo = N - 3 * A;
	
	if (ostalo <= A - 2) {
		b1 = ostalo;
		b2 = 0;
		b3 = 0;
		
		ispisi;
	}
	
	b1 = A - 2;
	
	ostalo = ostalo - b1;
	
	if (ostalo <= A - 2) {
		b2 = ostalo;
		b3 = 0;
		
		ispisi;
	}
	
	b2 = A - 2;
	
	ostalo = ostalo - b2;
	
	if (ostalo <= A - 2) {
		b3 = ostalo;
		ispisi;
	}
	
	b3 = A - 2;
	ostalo = ostalo - b3;
	
	if (ostalo % 2 == 0) {
		a1 += ostalo / 2;
		b1 += ostalo / 2;
		
		ispisi;
	}
	
	b2--;
	
	a1 += ostalo / 2 + 1;
	b1 += ostalo / 2 + 1;
	
	ispisi;

	return 0;
}